// BarPlot.stories.tsx
import React from 'react';
import { Meta } from '@storybook/react';
import AxisComponent, { AxisComponentProps } from '.';
import { scaleLinear, scaleBand, scaleTime } from 'd3';

export default {
  title: 'Visual charts/Charts/Axis',
  component: AxisComponent,
  decorators: [
    (Story) => (
      <div className="w-full h-full flex flex-row justify-center flex-grow">
        <svg className="border border-secondary-300" width="300" height="200">
          <Story />
        </svg>
      </div>
    ),
  ],
} as Meta;

export const NumericalData = {
  args: {
    orientation: 'horizontal',
    type: 'numerical',
    range: [0,400],
    domain: [0,100],
    // horizontalPosition: 0
  },
};

export const CategoricalData = {
  args: {
    orientation: 'horizontal',
    type: 'categorical',
    range: [0, 400],
    domain: ['A', 'B', 'C', 'D', 'E'],
    // horizontalPosition: 0,
  },
};


export const DateTimeData = {
  args: {
    orientation: 'horizontal',
    type: 'datetime',
    range: [100, 400],
    domain: [new Date(2020, 0, 1), new Date(2020, 11, 31)],
    // horizontalPosition: 0,
  },
};